/*  This file is a part of Dict. Dict is a Series 60 application for browsing
	dict databases (http:\\www.dict.org) stored in the phone's file system.
	Copyright (C) 2005, Kostas Giannakakis
	Web page: http://users.forthnet.gr/ath/kgiannak/

	Dict is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Dict is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Dict; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "DictAppUi.h"
#include "DictDocument.h"

CDictDocument* CDictDocument::NewL(CEikApplication& aApp)
	{
	CDictDocument* self = NewLC(aApp);
	CleanupStack::Pop(self);
	return self;
	}

CDictDocument* CDictDocument::NewLC(CEikApplication& aApp)
	{
	CDictDocument* self = new (ELeave) CDictDocument(aApp);
	CleanupStack::PushL(self);
	self->ConstructL();
	return self;
	}

void CDictDocument::ConstructL()
	{
	// No implementation required
	}

CDictDocument::CDictDocument(CEikApplication& aApp) : CAknDocument(aApp)
	{
	// No implementation required
	}

CDictDocument::~CDictDocument()
	{
	// No implementation required
	}

CEikAppUi* CDictDocument::CreateAppUiL()
	{
	// Create the application user interface, and return a pointer to it
	return(static_cast<CEikAppUi*>(new (ELeave) CDictAppUi));
	}

