/*  This file is a part of Dict. Dict is a Series 60 application for browsing
	dict databases (http:\\www.dict.org) stored in the phone's file system.
	Copyright (C) 2005, Kostas Giannakakis
	Web page: http://users.forthnet.gr/ath/kgiannak/

	Dict is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Dict is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Dict; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <aknviewappui.h>
#include <aknconsts.h>
#include <S60Dict.rsg>

#include "DictAppUi.h"
#include "DictMeaningView.h"
#include "DictMeaningContainer.h"
#include "Dict.hrh"

CDictMeaningView* CDictMeaningView::NewL()
	{
	CDictMeaningView* self = CDictMeaningView::NewLC();
	CleanupStack::Pop(self);
	return self;
	}

CDictMeaningView* CDictMeaningView::NewLC()
	{
	CDictMeaningView* self = new (ELeave) CDictMeaningView();
	CleanupStack::PushL(self);
	self->ConstructL();
	return self;
	}

CDictMeaningView::CDictMeaningView()
	{
	// No implementation required
	}

CDictMeaningView::~CDictMeaningView()
	{
	// No implementation required
	}

void CDictMeaningView::ConstructL()
	{
	BaseConstructL(R_DICT_MEANING_VIEW);
	}


TUid CDictMeaningView::Id() const
	{
	return TUid::Uid(EDictMeaningViewId);
	}

void CDictMeaningView::DoActivateL(const TVwsViewId& /*aPrevViewId*/,
								   TUid /*aCustomMessageId*/,
								   const TDesC8& /*aCustomMessage*/)
	{
	ASSERT(!(iContainer));
	iContainer = new(ELeave) CDictMeaningContainer;
	iContainer->SetMopParent(this);
	iContainer->SetMeaningText(iText);
	iContainer->ConstructL(ClientRect());
	AppUi()->AddToStackL(*this, iContainer);
	}

void CDictMeaningView::DoDeactivate()
	{
	if (iContainer)
		{
		AppUi()->RemoveFromStack(iContainer);
		delete iContainer;
		iContainer = NULL;
		}
	}

void CDictMeaningView::HandleCommandL(TInt aCommand)
	{
	if (aCommand == EDictMeaningViewBackCmd ||
		aCommand == EAknSoftkeyBack)
		{
			//CDictAppUi *appUi = STATIC_CAST(CDictAppUi*, AppUi());

			AppUi()->ActivateLocalViewL(TUid::Uid(EDictResultsListViewId));
		}
	else
		{
		AppUi()->HandleCommandL(aCommand);
		}
	}
